haskell-language-server

Safe Haskell | None
Language | GHC2021

Ide.Main

# Documentation

defaultMain :: Recorder (WithPriority Log) -> Arguments -> IdePlugins IdeState -> IO () #

runLspMode :: Recorder (WithPriority Log) -> GhcideArguments -> IdePlugins IdeState -> IO () #

data Log #

Constructors

LogVersion !String |
LogDirectory !FilePath |
LogLspStart !GhcideArguments ![PluginId] |
LogIDEMain Log |
LogHieBios Log |
LogSession Log |
LogOther Text |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Main Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Main Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #